Installing HipChat on Debian Jessie

I simply download HipChat from the official repository and follow the installation instruction there, but when I launch the application, I get the following error:

$ hipchat
libGL error: dlopen /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so failed (/usr/local/opt/HipChat/bin/..//lib/libstdc++.so.6: version `GLIBCXX_3.4.20' not found (required by /usr/lib/x86_64-linux-gnu/libLLVM-3.4.so.1))
libGL error: dlopen ${ORIGIN}/dri/radeonsi_dri.so failed (/usr/local/opt/HipChat/bin/..//lib/libstdc++.so.6: version `GLIBCXX_3.4.20' not found (required by /usr/lib/x86_64-linux-gnu/libLLVM-3.4.so.1))
libGL error: dlopen /usr/lib/dri/radeonsi_dri.so failed (/usr/lib/dri/radeonsi_dri.so: cannot open shared object file: No such file or directory)
libGL error: unable to load driver: radeonsi_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: radeonsi
libGL error: dlopen /usr/lib/x86_64-linux-gnu/dri/swrast_dri.so failed (/usr/local/opt/HipChat/bin/..//lib/libstdc++.so.6: version `GLIBCXX_3.4.20' not found (required by /usr/lib/x86_64-linux-gnu/libLLVM-3.4.so.1))
libGL error: dlopen ${ORIGIN}/dri/swrast_dri.so failed (/usr/local/opt/HipChat/bin/..//lib/libstdc++.so.6: version `GLIBCXX_3.4.20' not found (required by /usr/lib/x86_64-linux-gnu/libLLVM-3.4.so.1))
libGL error: dlopen /usr/lib/dri/swrast_dri.so failed (/usr/lib/dri/swrast_dri.so: cannot open shared object file: No such file or directory)
libGL error: unable to load driver: swrast_dri.so
libGL error: failed to load driver: swrast

The program gets stuck there until it is killed.

It is not elegant, but HipChat isn’t a very essential application for me, so I simply bandage this by replacing the libstdc++ that comes with HipChat with the one from Debian:

$ cd /opt/HipChat/lib
$ sudo mv libstdc++.so libstdc++.so.bk
$ sudo mv libstdc++.so.6 libstdc++.so.6.bk
$ sudo mv libstdc++.so.6.0.18 libstdc++.so.6.0.18.bk
$ sudo cp /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.20 .

Now HipChat should launch normally.

This entry was posted in Uncategorized and tagged , . Bookmark the permalink.

One Response to Installing HipChat on Debian Jessie

  1. Igor Támara says:

    Thanks, this workaround works perfect on Debian Jessie. Posted a reference from https://help.hipchat.com/forums/138883-suggestions-ideas/suggestions/6191207-hipchat-crashes-on-launch-after-updating-ubuntu-12 to here.

Leave a Reply

Your email address will not be published. Required fields are marked *